List Categories

Returns a list of categories. To get a specific category in a tree, provide a category ID.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

category_uuid:inlist of stringsOptional

Filter using a comma-separated list of one or more category UUIDs. To use category IDs, use the category_id:in parameter.

category_uuid:not_inlist of stringsOptional

Filter using a comma-separated list to exclude one or more category UUIDs. To exclude using category IDs, use the category_id:not_in parameter.

category_id:inlist of integersOptional

Filter using a comma-separated list of one or more category IDs. To use category UUIDs, use the category_uuid:in parameter.

category_id:not_inlist of integersOptional

Filter using a comma-separated list to exclude one or more category IDs. To exclude using category UUIDs, use the category_uuid:not_in parameter.

tree_id:inlist of integersOptional

Filter using a comma-separated list of one or more category tree IDs.

tree_id:not_inlist of integersOptional

Filter using a comma-separated list to exclude one or more category tree IDs.

parent_id:inlist of integersOptional
parent_id:not_inlist of integersOptional
page_titlestringOptional

Filter items by page_title.

page_title:likestringOptional

Filter items by substring in the page title property. page_title:like=oil returns both Soil and mulch and Oil pastels.

namestringOptional
Filter items by name.
name:likestringOptional

Filter items by substring in the name property. name:like=stick returns both Stickers and Lipstick colors.

keywordstringOptional

Filter items by keywords found in the name, description, or sku fields, or in the brand name.

is_visiblebooleanOptional
Filter items based on whether the product is currently visible on the storefront.
include_fieldslist of stringsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional<=250Defaults to 50

Controls the number of items per page in a limited (paginated) list of products.

Response

List of categories.
datalist of objects
metaobject

Errors

403
Forbidden Error
422
Unprocessable Entity Error